### Hierarchy

- FastlyParams

### Implements

- IFastlyParams

## Index

### Constructors

- constructor

### Properties

- cachedQuality
- log
- raw
- req
- res
- rgbRE
- warnings

### Accessors

- quality

### Methods

- get
- getWarnings
- has
- toColor
- toCssBox
- toNumbers
- toRegion
- toTaggedValues
- warn
- warnFail

## Constructors

### constructor

- new FastlyParams(params: Map<string, string | undefined>, req: Request, res: IMutableResponse): FastlyParams

- - Defined in src/lib/fastly-params.ts:42

  #### Parameters

  - ##### params: Map<string, string | undefined>

  - ##### req: Request

  - ##### res: IMutableResponse

  #### Returns FastlyParams

## Properties

### Private cachedQuality

cachedQuality: number | undefined | symbol = UNSET

- Defined in src/lib/fastly-params.ts:40

### log

log: Logger

- Defined in src/lib/fastly-params.ts:37

### Private raw

raw: ParamMap

- Defined in src/lib/fastly-params.ts:38

### req

req: Request

- Defined in src/lib/fastly-params.ts:35

### res

res: IMutableResponse

- Defined in src/lib/fastly-params.ts:36

### Private rgbRE

rgbRE: RegExp = /^(?:[0-9a-fA-F]{3}){1,2}$/

- Defined in src/lib/fastly-params.ts:42

### Private warnings

warnings: Warning[] = []

- Defined in src/lib/fastly-params.ts:39

## Accessors

### quality

- get quality(): number | undefined

- - Defined in src/lib/fastly-params.ts:21

  #### Returns number | undefined

## Methods

### get

- get(param: Param): "bg-color" | "blur" | "brightness" | "canvas" | "crop" | "contrast" | "disable" | "dpr" | "enable" | "fit" | "height" | "orient" | "pad" | "resize-filter" | "saturation" | "sharpen" | "trim" | "width"

- - Defined in src/lib/fastly-params.ts:55

  #### Parameters

  - ##### param: Param

  #### Returns "bg-color" | "blur" | "brightness" | "canvas" | "crop" | "contrast" | "disable" | "dpr" | "enable" | "fit" | "height" | "orient" | "pad" | "resize-filter" | "saturation" | "sharpen" | "trim" | "width"

### getWarnings

- getWarnings(): Warning[]

- - Defined in src/lib/fastly-params.ts:72

  #### Returns Warning[]

### has

- has(param: Param): boolean

- - Defined in src/lib/fastly-params.ts:59

  #### Parameters

  - ##### param: Param

  #### Returns boolean

### toColor

- toColor(name: Param): Color

- - Defined in src/lib/fastly-params.ts:146

  #### Parameters

  - ##### name: Param

  #### Returns Color

### toCssBox

- toCssBox(name: Param): ExtendOptions

- - Defined in src/lib/fastly-params.ts:93

  #### Parameters

  - ##### name: Param

  #### Returns ExtendOptions

### toNumbers

- toNumbers(names: Param[]): NumericParams

- - Defined in src/lib/fastly-params.ts:76

  #### Parameters

  - ##### names: Param[]

  #### Returns NumericParams

### toRegion

- toRegion(name: Param): Partial<Region>

- - Defined in src/lib/fastly-params.ts:213

  #### Parameters

  - ##### name: Param

  #### Returns Partial<Region>

### toTaggedValues

- toTaggedValues(name: Param, positional: string[], named: string[]): {}

- - Defined in src/lib/fastly-params.ts:183

  #### Parameters

  - ##### name: Param

  - ##### positional: string[]

  - ##### named: string[]

  #### Returns {}

  - ##### [key: string]: string | null

### warn

- warn(type: WarnType, param: Param, msg?: undefined | string): void

- - Defined in src/lib/fastly-params.ts:63

  #### Parameters

  - ##### type: WarnType

  - ##### param: Param

  - ##### Optional msg: undefined | string

  #### Returns void

### Private warnFail

- warnFail(type: Warning["type"], name: Param, msg: string): void

- - Defined in src/lib/fastly-params.ts:264

  #### Parameters

  - ##### type: Warning["type"]

  - ##### name: Param

  - ##### msg: string

  #### Returns void

Generated using TypeDoc